## tcllib 2.0+dfsg

=== modules/mkdoc/Makefile ===
VERSION=$(shell tclsh mkdoc.tcl --version)

mkdoc:
	dtplite -o mkdoc.html html mkdoc.man
	tclsh mkdoc.tcl mkdoc.tcl mkdoc.md
	tclsh mkdoc.tcl mkdoc.tcl mkdoc-mkdoc.html

## tcllib 1.15-dfsg

=== debian/changelog ===
tcllib (1.15-dfsg-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source package format.
  * Bumped standards version to 3.9.4.
  * Use debhelper 8.9.7 features in debian/rules and updated the build
    dependency accordingly.
  * Removed unecessary patch of Makefile.in (closes: #702520).
  * Renamed manpages which conflict with ones from the tcl8.6-doc and
    tcl-memchan packages (closes: #700501, #702502, #704641).
  * Removed incorrect install-stamp.gz from the binary package
    (closes: #700503).
  * Removed unnecessary patch which fixed whatis entries.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 11 May 2013 18:48:26 +0400

tcllib (1.15-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Removed patch for inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Feb 2013 23:06:05 +0400

tcllib (1.14-dfsg-3) unstable; urgency=low

  * Added a patch which fixes ::ini::commit procedure in the inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 16:53:47 +0400

tcllib (1.14-dfsg-2) unstable; urgency=low

  * Renamed try(3tcl) manpage into try(3tcllib) to avoid conflict with
    the tcl8.6-doc package (closes: #672815).
  * Removed Chris Waters from the uploaders list (closes: #664114).
  * Removed HTML doc for no longer existing exif module (closes: #637301).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 May 2012 10:23:37 +0400

tcllib (1.14-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Bumped standards version to 3.9.2.
  * Added build-arch and build-indep rules to debian/rules.
  * Fixed manpage section in a few manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2011 23:18:12 +0400

tcllib (1.13-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Added ${misc:Depends} variable to debian/config.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 22:36:32 +0300

tcllib (1.12-dfsg-2) unstable; urgency=low

  * Renamed msgcat.3tcl manpage to doctools_msgcat.3tcl to avoid conflict
    with tcl8.X-doc packages (closes: #560819).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Dec 2009 17:41:19 +0300

tcllib (1.12-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Fixed whatis entries in manpages for the older versions of struct::graph,
    struct::matrix and struct::tree packages, and section for the
    simulation::random package.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Dec 2009 11:24:09 +0300

tcllib (1.11.1-dfsg-2) unstable; urgency=low

  * Use Sourceforge redirector in uscan control file debian/watch.
  * Renamed random.3tcl manpage to random.3tcllib to prevent conflict with
    the random manpage in libmemchan-tcl package.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Mar 2009 17:55:04 +0300

tcllib (1.11.1-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Mangled debian version in uscan control file.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Dec 2008 12:23:04 +0300

tcllib (1.10-dfsg-3) unstable; urgency=low

  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484924).
  * Cleaned up debian/rules.
  * Bumped standards version to 3.7.3.
  * Removed empty /usr/lib directory from the binary tcllib package.
  * Removed extra leading spaces and changed section name to Programming in
    doc-base register file.
  * Fixed copyright statement in debian/copyright.
  * Removed linda override file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Jun 2008 15:00:19 +0400

tcllib (1.10-dfsg-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed ::blowfish::blowfish option processing if -dir isn't specified
    directly.
  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/share/tcltk and switching to default
    tcl package in dependencies.
  * Bumped debhelper compatibility level to 5.

  [ Francesco Paolo Lovergine ]
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Nov 2007 19:58:17 +0300

tcllib (1.10-dfsg-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Added Sergei Golovan to uploaders.
  * Fixed bug with registering Tcllib documentation in doc-base.
  * Added uscan control file debian/watch.
  * Removed patch which added asynchronous TCP connect to dns module since it
    is included into upstream distribution.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 13:05:26 +0400

tcllib (1.9.dfsg1-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New maintainer Tcl/Tk Debian Packagers.
  * New upstream release (closes: #391548).
  * Removed patch from JPEG module as it is no longer needed.
  * Fixed cleanup after build.
  * Use quilt to manage patches.
  * Removed non-free RFSs from upstream source (closes: #393415).
  * Added get-orig-source target to debian/rules.
  * Fixed sections inside manual pages.
  * Fixed manpage sections in HTML documentation.
  * Added an index for HTML documentation.
  * Register HTML documentation in doc-base.
  * Moved scripts from /usr/lib to /usr/share as required by Debian
    Policy, leaving symlink in /usr/lib.
  * Added asynchronous TCP connect to dns module (see
    http://sourceforge.net/tracker/index.php?func=detail&aid=1610330&group_id=12883&atid=312883).
  * Overridden linda false positive about uncompressed changelog.
  * Bumped standards version to 3.7.2.

 -- Chris Waters <xtifr@debian.org>  Wed, 31 Jan 2007 22:40:33 -0800



=== debian/control ===
Source: tcllib
Section: interpreters
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.9.7)
Build-Depends-Indep: tcl-dev
Standards-Version: 3.9.4
Homepage: http://tcl.activestate.com/software/tcllib/

Package: tcllib
Section: interpreters
Priority: optional
Architecture: all
Depends: ${tclsh:Depends}, ${misc:Depends}
Description: Standard Tcl Library
 Tcllib, the standard Tcl library, is a collection of common utility
 functions and modules all written in high-level Tcl.
 .
 Modules included:
   * aes: advanced encryption standard
   * amazon-s3: Amazon S3 web service interface
   * asn: an ASN.1 encoder and decoder
   * base32: a base32 encoder and decoder
   * base64: a base64 encoder and decoder
   * bee: bittorrent serialization encoder and decoder
   * bench: benchmark tool
   * bibtex: parser for bibliographies in BibTeX format
   * blowfish: blowfish encryption
   * cache: asynchronous in-memory cache
   * clock: date/time utilities
   * cmdline: a command line argument processor similar to opt
   * comm: remote communications facility
   * control: procedures for control flow structures
   * coroutine: coroutine utilities
   * counter: provides a counter facility and can compute statistics
     and histograms over the collected data.
   * crc: checksum-calculation routines (crc32, cksum, sum)
   * csv: functions to handle CSV (comma-separated values) data
   * des: DES and 3DES encryption
   * dns: dns- and resolver library-related functions
   * docstrip: tools for literate programming, often used with (La)TeX
   * doctools: documentation tools
   * fileutil: Tcl implementations of some standard Unix utilities
   * ftp: Tcl interface to the FTP protocol
   * ftpd: implementation of functions needed for an FTP server
   * fumagic: file utilities
   * generator: Tcl generator commands
   * gpx: GPS eXchange Format (GPX)
   * grammar_aycock: Aycock-Horspool-Earley parser generator for Tcl
   * grammar_fa: finite automaton operations and usage
   * grammar_me: grammar operations and usage
   * grammar_peg: grammar operations and usage
   * hook: hooks
   * html: generate and control HTML tags
   * htmlparse: parse HTML strings
   * http: HTTP protocol helper modules
   * ident: client interface to the ident protocol
   * imap4: IMAP client
   * inifile: parsing of Windows INI files
   * interp: interpreter utilities
   * irc: low-level IRC protocol interface
   * javascript: Tcl shortcuts to create common javascript functions
   * jpeg: functions to query and modify JPEG images
   * json: JSON parser
   * lambda: utility commands for anonymous procedures
   * ldap: LDAP client and extended object interface
   * log: functions to log messages with various facilities and levels
   * map: mapping utilities
   * mapproj: map projection routines
   * math: Tcl math library
   * md4: md4 hashing functions
   * md5: md5 hashing functions
   * md5crypt: md5 based password hashing
   * mime: a MIME encoder and decoder
   * multiplexer: message multiplexing
   * ncgi: a new CGI processing module
   * nmea: NMEA protocol implementation
   * nns: name service facility
   * nntp: Tcl functions for the NNTP protocol
   * ntp: functions for an NTP client
   * ooutil: utility commands for TclOO
   * otp: RFC 2289 a one-time password system
   * page: parser generator
   * pki: RSA public key encryption
   * pluginmgr: plugin management
   * png: functions to query and modify PNG images
   * pop3: a POP3 protocol implementation
   * pop3d: a POP3 server implementation
   * profiler: a function level Tcl source code profiler
   * pt: parser tools
   * rc4: implementation of the RC4 stream cipher
   * rcs: RCS low level utilities
   * report: provides objects which can be used to generate and format
     reports
   * rest: a framework for RESTful web services
   * ripemd: RIPEMD message-digest algorithm
   * sasl: Simple Authentication and Security Layer implementation
   * sha1: sha1 hashing functions
   * simulation: Tcl simulation tools
   * smtpd: implementation of functions needed for an SMTP server
   * snit: snit's not incr Tcl, OO system
   * soundex: comparison of words based on their phonetic likeness
   * stooop: simple Tcl-only object oriented programming scheme -
     provides C++/Java-like OOP interfaces
   * stringprep: preparation of internationalized strings
   * struct: Tcl implementations of common data structures (tree, graph,
     etc)
   * tar: functions to manipulate tar files
   * tepam: Tcl's enhanced procedure and argument manager
   * term: terminal control
   * textutil: string manipulation library
   * tie: framework for creating persistent Tcl arrays
   * tiff: TIFF image manipulation
   * transfer: data transfer facilities
   * treeql: tree query language
   * try: trap and process errors and exceptions
   * uev: user events
   * units: convert and manipulate quantities with units
   * uri: functions to generate and manipulate commonly-used URIs
   * uuid: generator of universally unique identifiers (UUID)
   * valtype: validation types
   * virtchannel: reflected/virtual channel support
   * wip: word interpreter
   * yaml: YAML format encoder/decoder
   * zip: working with zip archives

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper.

destdir=debian/tmp
mandir=/usr/share/man
docdir=/usr/share/doc/tcllib
exampledir=$(docdir)/examples

%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot
	#
	[ ! -f Makefile ] || $(MAKE) distclean
	#
	rm -f config.cache config.status
	dh_clean

# Build mostly covers docs and such
override_dh_auto_build-indep:
	dh_testdir
	#
	$(MAKE) html-doc
	#
	# Remove doc for non-existent module
	rm doc/html/exif.html
	#
	# Fix broken examples permissions
	chmod 644 examples/csv/bench_join
	chmod 644 examples/logger/snit-logger.tcl
	chmod 644 examples/logger/xotcl-logger.tcl
	chmod 644 examples/mapproj/*

override_dh_auto_test:
	# Disable tests (TODO: add all required packages to build dependencies
	# and enable tests)

override_dh_auto_install-indep:
	dh_testdir
	#
	$(MAKE) DESTDIR=$(destdir) install 
	#
	# install the mpexpand script, which doesn't otherwise get installed.
	install -p -m 755 modules/doctools/mpexpand $(destdir)/usr/bin
	#
	# now set the permissions properly, since the Makefile doesn't bother
	cd $(destdir)/usr/lib && \
		find . -type f -print | xargs chmod 644
	#
	# move scripts to /usr/share
	#mv $(destdir)/usr/lib/* $(destdir)/usr/share/tcltk
	#rmdir $(destdir)/usr/lib
	#
	# rename the man pages into section 3
	#mv $(destdir)$(mandir)/mann $(destdir)$(mandir)/man3
	#
	# move the man pages for command line utilities to section 1
	#mkdir $(destdir)$(mandir)/man1
	#for f in dtplite mpexpand nns nnsd nnslog page tcldocstrip ; do \
	#    mv $(destdir)$(mandir)/man3/$$f.n $(destdir)$(mandir)/man1 ; \
	#done
	#
	# cleanup manpages
	cd $(destdir)$(mandir)/mann && \
	  for f in dtplite mpexpand nns nnsd nnslog page tcldocstrip ; do \
	    sed -e'/\.so man.macros/ d' \
	    	-e's/^\.TH \([^ ]\+\) n/.TH \1 1/' \
	    	-e's/(n)/(3tcl)/g' \
	    	-e's/^\.dtx/\\\&.dtx/' \
	    	-e's/^\.\.\(.\)/\\\&..\1/' \
		$$f.n > $$f.1; \
	    rm $$f.n; \
	  done
	#
	cd $(destdir)$(mandir)/mann && \
	  for f in *.n ; do \
	    sed -e'/\.so man.macros/ d' \
	    	-e's/^\.TH "math::roman"  1\.0/.TH "math::roman" 3tcl 1.0/' \
	    	-e's/^\.TH "tcl::chan::fifo" [in] /.TH "tcl::chan::fifo" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::fifo2" [in] /.TH "tcl::chan::fifo2" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::memchan" [in] /.TH "tcl::chan::memchan" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::null" [in] /.TH "tcl::chan::null" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::random" [in] /.TH "tcl::chan::random" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::string" [in] /.TH "tcl::chan::string" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::variable" [in] /.TH "tcl::chan::variable" 3tcllib /' \
	    	-e's/^\.TH "tcl::chan::zero" [in] /.TH "tcl::chan::zero" 3tcllib /' \
	    	-e's/^\.TH "tcl::transform::zlib" [in] /.TH "tcl::transform::zlib" 3tcllib /' \
	    	-e's/^\.TH \(.\+\) [in] /.TH \1 3tcl /' \
	    	-e's/send(n)/send(3tk)/g' \
	    	-e's/(n)/(3tcl)/g' \
	    	-e's/^\.RE\([^ ]\)/.RE\n\1/' \
	    	-e's/^\.dtx/\\\&.dtx/' \
	    	-e's/^\.sppp/.sp/' \
	    	-e's/^\.plot/\\\&.plot/' \
	    	-e's/^\.sp /.sp\n/' \
		-e's/\xf6/\\[:o]/g' \
		-e"s/\xe9/\\['e]/g" \
	    	-e's/^\.\.\(.\)/\\\&..\1/' \
	    	-e's/^\.ddt/\\\&.ddt/' \
	    	-e's/^\. It/\\\&. It/' \
	    	-e's/^\.text/\\\&.text/' \
	    	-e's/^\.mycombo/\\\&.mycombo/' \
		$$f > `basename $$f .n`.3tcl; \
	    rm $$f; \
	  done
	#
	# cleanup docs
	cd doc/html && \
	  for f in *.html ; do \
	    sed -i -e's/\(^\|[^:]\+\)send(n)/\1send(3tk)/g' \
	    	-e's/math::roman()/math::roman(3tcl)/' \
	    	-e's/(n)/(3tcl)/g' $$f; \
	  done
	#
	# generate documentation index
	tclsh debian/gen_index.tcl doc/html >$(destdir)/index.html
	#
	dh_install -i

override_dh_compress:
	dh_compress -Xusr/share/doc/tcllib/examples/ \
		    -Xusr/share/doc/tcllib/html/

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

v=1.15

get-orig-source:
	CURDIR=`pwd` && \
	TMPDIR=`mktemp -d /tmp/tcllib.XXXXXX` && \
	cd $$TMPDIR && \
	wget -O - http://prdownloads.sourceforge.net/tcllib/tcllib-$(v).tar.gz | tar -zx && \
	for f in `grep -rl '^Network Working Group' *` ; do \
	    echo "REMOVING NON-FREE RFC $$f" ; rm -f $$f ; \
	done && \
	tar -zcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.gz tcllib-$(v) && \
	rm -rf $$TMPDIR

.PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \
	override_dh_compress override_dh_gencontrol get-orig-source

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/-dfsg\d*$// \
    http://sf.net/tcllib/tcllib-([\d.]*).tar.gz

## tcllib 1.16-dfsg

=== debian/changelog ===
tcllib (1.16-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added description of new modues to debian/control.
  * Changed the upstream package homepage.
  * Overridden lintian warnings on ancient autotools helpers because they
    aren't used during the package build.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Feb 2014 13:14:23 +0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 8.9.7)
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.4
-Homepage: http://tcl.activestate.com/software/tcllib/
+Standards-Version: 3.9.5
+Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
@@ -37,10 +37,12 @@
      and histograms over the collected data.
    * crc: checksum-calculation routines (crc32, cksum, sum)
    * csv: functions to handle CSV (comma-separated values) data
+   * debug: debug messages infrastructure
    * des: DES and 3DES encryption
    * dns: dns- and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
+   * dtplite: lightweight doctools markup processor
    * fileutil: Tcl implementations of some standard Unix utilities
    * ftp: Tcl interface to the FTP protocol
    * ftpd: implementation of functions needed for an FTP server
@@ -103,6 +105,7 @@
    * soundex: comparison of words based on their phonetic likeness
    * stooop: simple Tcl-only object oriented programming scheme -
      provides C++/Java-like OOP interfaces
+   * string: tokenize strings
    * stringprep: preparation of internationalized strings
    * struct: Tcl implementations of common data structures (tree, graph,
      etc)
@@ -121,6 +124,7 @@
    * uuid: generator of universally unique identifiers (UUID)
    * valtype: validation types
    * virtchannel: reflected/virtual channel support
+   * websocket: implementation of the websocket protocol
    * wip: word interpreter
    * yaml: YAML format encoder/decoder
    * zip: working with zip archives

=== debian/rules ===
--- 
+++ 
@@ -77,15 +77,7 @@
 	cd $(destdir)$(mandir)/mann && \
 	  for f in *.n ; do \
 	    sed -e'/\.so man.macros/ d' \
-	    	-e's/^\.TH "math::roman"  1\.0/.TH "math::roman" 3tcl 1.0/' \
-	    	-e's/^\.TH "tcl::chan::fifo" [in] /.TH "tcl::chan::fifo" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::fifo2" [in] /.TH "tcl::chan::fifo2" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::memchan" [in] /.TH "tcl::chan::memchan" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::null" [in] /.TH "tcl::chan::null" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::random" [in] /.TH "tcl::chan::random" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::string" [in] /.TH "tcl::chan::string" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::variable" [in] /.TH "tcl::chan::variable" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::zero" [in] /.TH "tcl::chan::zero" 3tcllib /' \
+	    	-e's/^\.TH "math::roman"  1/.TH "math::roman" 3tcl 1/' \
 	    	-e's/^\.TH "tcl::transform::zlib" [in] /.TH "tcl::transform::zlib" 3tcllib /' \
 	    	-e's/^\.TH \(.\+\) [in] /.TH \1 3tcl /' \
 	    	-e's/send(n)/send(3tk)/g' \
@@ -101,6 +93,7 @@
 	    	-e's/^\.ddt/\\\&.ddt/' \
 	    	-e's/^\. It/\\\&. It/' \
 	    	-e's/^\.text/\\\&.text/' \
+	    	-e's/^\.IP,/\\.IP/' \
 	    	-e's/^\.mycombo/\\\&.mycombo/' \
 		$$f > `basename $$f .n`.3tcl; \
 	    rm $$f; \
@@ -127,17 +120,18 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.15
+v=1.16
 
 get-orig-source:
 	CURDIR=`pwd` && \
 	TMPDIR=`mktemp -d /tmp/tcllib.XXXXXX` && \
 	cd $$TMPDIR && \
-	wget -O - http://prdownloads.sourceforge.net/tcllib/tcllib-$(v).tar.gz | tar -zx && \
+	wget --no-check-certificate -O - \
+	    https://core.tcl.tk/tcllib/tarball/Tcllib-1.16.tar.gz\?uuid=tcllib-1-16 | tar -zx && \
 	for f in `grep -rl '^Network Working Group' *` ; do \
 	    echo "REMOVING NON-FREE RFC $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.gz tcllib-$(v) && \
+	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz Tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \

## tcllib 1.17-dfsg

=== debian/changelog ===
tcllib (1.17-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added new modules to the long package description.
  * Removed a patch which fixes <textarea/> elements in the html module
    because it is applied upstream.
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 May 2015 09:35:43 +0300

tcllib (1.16-dfsg-2) unstable; urgency=medium

  * Added a patch from upstream which fixes an XSS vulnerability in
    the html module for <textarea/> elements (closes: #780100).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 15:12:05 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 8.9.7)
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -36,10 +36,11 @@
    * counter: provides a counter facility and can compute statistics
      and histograms over the collected data.
    * crc: checksum-calculation routines (crc32, cksum, sum)
+   * cron: automating the period callback of commands
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
    * des: DES and 3DES encryption
-   * dns: dns- and resolver library-related functions
+   * dns: DNS and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
    * dtplite: lightweight doctools markup processor
@@ -76,11 +77,14 @@
    * md5crypt: md5 based password hashing
    * mime: a MIME encoder and decoder
    * multiplexer: message multiplexing
+   * namespacex: namespace utility commands
    * ncgi: a new CGI processing module
+   * nettool: tools for networked applications
    * nmea: NMEA protocol implementation
    * nns: name service facility
    * nntp: Tcl functions for the NNTP protocol
    * ntp: functions for an NTP client
+   * oauth: oauth API base signature
    * ooutil: utility commands for TclOO
    * otp: RFC 2289 a one-time password system
    * page: parser generator
@@ -89,6 +93,7 @@
    * png: functions to query and modify PNG images
    * pop3: a POP3 protocol implementation
    * pop3d: a POP3 server implementation
+   * processman: manage child processes
    * profiler: a function level Tcl source code profiler
    * pt: parser tools
    * rc4: implementation of the RC4 stream cipher

=== debian/rules ===
--- 
+++ 
@@ -120,18 +120,18 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.16
+v=1.17
 
 get-orig-source:
 	CURDIR=`pwd` && \
 	TMPDIR=`mktemp -d /tmp/tcllib.XXXXXX` && \
 	cd $$TMPDIR && \
-	wget --no-check-certificate -O - \
-	    https://core.tcl.tk/tcllib/tarball/Tcllib-1.16.tar.gz\?uuid=tcllib-1-16 | tar -zx && \
+	wget -O - \
+	    http://downloads.sourceforge.net/project/tcllib/tcllib/$(v)/tcllib-$(v).tar.gz | tar -zx && \
 	for f in `grep -rl '^Network Working Group' *` ; do \
 	    echo "REMOVING NON-FREE RFC $$f" ; rm -f $$f ; \
 	done && \
-	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz Tcllib-$(v) && \
+	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \

## tcllib 1.18-dfsg

=== debian/changelog ===
tcllib (1.18-dfsg-3) unstable; urgency=medium

  * Fixed the nettool module which executes arp and ifconfig and can't find
    them if /usr/sbin and /sbin aren't in the user's PATH (closes: #822293).
  * Removed empty directory /usr/lib/tcltk from the tcllib binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Apr 2016 17:43:19 +0300

tcllib (1.18-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD architectures because of buggy library
    placement.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Apr 2016 22:49:28 +0300

tcllib (1.18-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added a new optional tcllib-critcl package with some CPU-intensive
    code written in C and built with critcl.
  * Extended debian/copyright to show the copyright holders for all
    individual code files.
  * Bumped the standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2016 13:32:20 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.9.7)
+Build-Depends: debhelper (>= 8.9.7), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -13,6 +13,7 @@
 Priority: optional
 Architecture: all
 Depends: ${tclsh:Depends}, ${misc:Depends}
+Suggests: net-tools, tcllib-critcl
 Description: Standard Tcl Library
  Tcllib, the standard Tcl library, is a collection of common utility
  functions and modules all written in high-level Tcl.
@@ -40,6 +41,7 @@
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
    * des: DES and 3DES encryption
+   * dicttool: dictionary tools
    * dns: DNS and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
@@ -58,6 +60,8 @@
    * html: generate and control HTML tags
    * htmlparse: parse HTML strings
    * http: HTTP protocol helper modules
+   * httpd: HTTP server
+   * httpwget: tool to download files over HTTP
    * ident: client interface to the ident protocol
    * imap4: IMAP client
    * inifile: parsing of Windows INI files
@@ -71,6 +75,7 @@
    * log: functions to log messages with various facilities and levels
    * map: mapping utilities
    * mapproj: map projection routines
+   * markdown: Markdown processor
    * math: Tcl math library
    * md4: md4 hashing functions
    * md5: md5 hashing functions
@@ -85,6 +90,8 @@
    * nntp: Tcl functions for the NNTP protocol
    * ntp: functions for an NTP client
    * oauth: oauth API base signature
+   * oodialect: build TclOO based DSLs
+   * oometa: data registry service for TclOO classes
    * ooutil: utility commands for TclOO
    * otp: RFC 2289 a one-time password system
    * page: parser generator
@@ -120,6 +127,8 @@
    * textutil: string manipulation library
    * tie: framework for creating persistent Tcl arrays
    * tiff: TIFF image manipulation
+   * tool: dictionary tools
+   * tool::datatype: dictionary tools
    * transfer: data transfer facilities
    * treeql: tree query language
    * try: trap and process errors and exceptions
@@ -133,3 +142,17 @@
    * wip: word interpreter
    * yaml: YAML format encoder/decoder
    * zip: working with zip archives
+
+Package: tcllib-critcl
+Section: libs
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends}, ${tclsh:Depends}, ${misc:Depends}
+Multi-Arch: same
+Enhances: tcllib
+Description: Standard Tcl Library (CriTcl accelerators)
+ Tcllib, the standard Tcl library, is a collection of common utility
+ functions and modules all written in high-level Tcl.
+ .
+ This package includes several Tcllib CPU intensive procedures rewritten
+ in C and built with CriTcl.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # debian/rules that uses debhelper.
+
+include /usr/share/dpkg/architecture.mk
 
 destdir=debian/tmp
 mandir=/usr/share/man
 docdir=/usr/share/doc/tcllib
 exampledir=$(docdir)/examples
+tcllibcdir=debian/tcllib-critcl/usr/lib/tcltk/tcllibc
 
 %:
 	dh $@
@@ -18,7 +21,13 @@
 	rm -f config.cache config.status
 	dh_clean
 
-# Build mostly covers docs and such
+# Build-arch works with the critcl part
+override_dh_auto_build-arch:
+	dh_testdir
+	#
+	$(MAKE) critcl
+
+# Build-indep mostly covers docs and such
 override_dh_auto_build-indep:
 	dh_testdir
 	#
@@ -36,6 +45,8 @@
 override_dh_auto_test:
 	# Disable tests (TODO: add all required packages to build dependencies
 	# and enable tests)
+
+override_dh_auto_install-arch:
 
 override_dh_auto_install-indep:
 	dh_testdir
@@ -109,8 +120,25 @@
 	#
 	# generate documentation index
 	tclsh debian/gen_index.tcl doc/html >$(destdir)/index.html
+
+override_dh_install-arch:
+	dh_install -a
 	#
-	dh_install -i
+	# remove unneded files
+	rm $(tcllibcdir)/license.terms
+	rm $(tcllibcdir)/teapot.txt
+	#
+	# relocate library file
+	find $(tcllibcdir) -name '*.so' -exec mv \{\} $(tcllibcdir)/ \;
+	find $(tcllibcdir) -name pkgIndex.tcl -exec mv \{\} $(tcllibcdir)/ \;
+	sed -i -e 's/file join \$$path/file join \$$dir/' $(tcllibcdir)/pkgIndex.tcl
+	#
+	# move all the library
+	mkdir debian/tcllib-critcl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	mv $(tcllibcdir) debian/tcllib-critcl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	#
+	# cleanup
+	find debian/tcllib-critcl -type d -empty -delete
 
 override_dh_compress:
 	dh_compress -Xusr/share/doc/tcllib/examples/ \
@@ -120,7 +148,7 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.17
+v=1.18
 
 get-orig-source:
 	CURDIR=`pwd` && \
@@ -134,6 +162,7 @@
 	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
-.PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \
+.PHONY: override_dh_clean
+	override_dh_auto_build-arch override_dh_auto_install-arch override_dh_install-arch \
+	override_dh_auto_build-indep override_dh_auto_install-indep \
 	override_dh_compress override_dh_gencontrol get-orig-source
-

## tcllib 1.19-dfsg

=== debian/changelog ===
tcllib (1.19-dfsg-2) unstable; urgency=medium

  * Fix a bug in the dependencies on iproute and freebsd-net-tools for
    tcllib which is architecture all, so they can't be different for
    different architectures.
  * Override a lintian error about dependency on hurd since it's just a way
    of representing empty dependency on hurd retaining hard dependency on
    other architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 21:42:47 +0300

tcllib (1.19-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Replace the arp and ifconfig calls by parsing /proc/net/arp and calling
    ip address show (for Linux only) in the nettool module because of the
    changes in the ifconfig output.
  * Add iproute2 to the dependencies list for nettool and uuid modules (for
    Linux).
  * Add freebsd-net-tools to the dependencies list for nettool module (for
    GNU/kFreeBSD).
  * Bump the debhelper compatibility level to 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 09:14:28 +0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.9.7), critcl
+Build-Depends: debhelper (>= 10), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
 Priority: optional
 Architecture: all
-Depends: ${tclsh:Depends}, ${misc:Depends}
-Suggests: net-tools, tcllib-critcl
+Depends: ${tclsh:Depends}, iproute2 | freebsd-net-tools | hurd, ${misc:Depends}
+Suggests: tcllib-critcl
 Description: Standard Tcl Library
  Tcllib, the standard Tcl library, is a collection of common utility
  functions and modules all written in high-level Tcl.
@@ -40,6 +40,7 @@
    * cron: automating the period callback of commands
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
+   * defer: deferred execution
    * des: DES and 3DES encryption
    * dicttool: dictionary tools
    * dns: DNS and resolver library-related functions
@@ -100,6 +101,8 @@
    * png: functions to query and modify PNG images
    * pop3: a POP3 protocol implementation
    * pop3d: a POP3 server implementation
+   * practcl: tool for integrating large modules for C API Tcl code
+     that requires custom Tcl types and TclOO objects
    * processman: manage child processes
    * profiler: a function level Tcl source code profiler
    * pt: parser tools
@@ -129,9 +132,12 @@
    * tiff: TIFF image manipulation
    * tool: dictionary tools
    * tool::datatype: dictionary tools
+   * tool-ui: abstractions to allow Tao to express Native Tk, HTML5, and
+     Tao-Layout interfaces
    * transfer: data transfer facilities
    * treeql: tree query language
    * try: trap and process errors and exceptions
+   * udpcluster: UDP peer-to-peer cluster
    * uev: user events
    * units: convert and manipulate quantities with units
    * uri: functions to generate and manipulate commonly-used URIs

=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,7 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.18
+v=1.19
 
 get-orig-source:
 	CURDIR=`pwd` && \

## tcllib 1.20%2Bdfsg

=== debian/changelog ===
tcllib (1.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/copyright format.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.4.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Dec 2019 12:27:16 +0300

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,9 @@
 	dh_testdir
 	#
 	$(MAKE) DESTDIR=$(destdir) install 
+	#
+	# remove the critcl package from the arch-indep package
+	find $(destdir) -name tcllibc -type d -prune -exec rm -rf \{\} \;
 	#
 	# install the mpexpand script, which doesn't otherwise get installed.
 	install -p -m 755 modules/doctools/mpexpand $(destdir)/usr/bin

## tcllib 1.20+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10), critcl
+Build-Depends: debhelper (>= 12), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -29,6 +29,7 @@
    * bibtex: parser for bibliographies in BibTeX format
    * blowfish: blowfish encryption
    * cache: asynchronous in-memory cache
+   * clay: clay framework
    * clock: date/time utilities
    * cmdline: a command line argument processor similar to opt
    * comm: remote communications facility
@@ -72,6 +73,7 @@
    * jpeg: functions to query and modify JPEG images
    * json: JSON parser
    * lambda: utility commands for anonymous procedures
+   * lazyset: lazy evaluation for variables and arrays
    * ldap: LDAP client and extended object interface
    * log: functions to log messages with various facilities and levels
    * map: mapping utilities

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/[-+]dfsg\d*$//, uversionmangle=s/$/+dfsg/"\
    http://sf.net/tcllib/tcllib-([\d.]*).tar.gz

## tcllib 1.21%2Bdfsg

=== debian/changelog ===
tcllib (1.21+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Make tcllib multi-arch foreign.
  * Remove no longer used lintian override.
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 May 2022 11:44:23 +0300

## tcllib 1.21+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 12), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: ${tclsh:Depends}, iproute2 | freebsd-net-tools | hurd, ${misc:Depends}
 Suggests: tcllib-critcl
 Description: Standard Tcl Library
@@ -84,6 +85,7 @@
    * md5: md5 hashing functions
    * md5crypt: md5 based password hashing
    * mime: a MIME encoder and decoder
+   * mkdoc: extracts Markdown comments from source code
    * multiplexer: message multiplexing
    * namespacex: namespace utility commands
    * ncgi: a new CGI processing module

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/[-+]dfsg\d*$//, \
    uversionmangle=s/$/+dfsg/, \
    oversionmangle=s/$/+dfsg/" \
    http://sf.net/tcllib/tcllib-([\d.]*).tar.gz

## tcllib 2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper.

include /usr/share/dpkg/architecture.mk

destdir = $(CURDIR)/debian/tmp
mandir = /usr/share/man
docdir = /usr/share/doc/tcllib
exampledir = $(docdir)/examples
tcllibcdir = debian/tcllib-critcl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)

TCLV = 8.6
TCLV1 = 9.0
TCLVERSIONS = $(TCLV) $(TCLV1)

%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot
	#
	for v in $(TCLVERSIONS) ; do \
		rm -rf $(CURDIR)/debian/$$v ; \
	done
	#
	rm -f config.cache config.status
	dh_clean

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure -B$(CURDIR)/debian/$$v -- \
			--with-tclsh=/usr/bin/tclsh$$v ; \
	done

# Build-arch works with the critcl part
override_dh_auto_build-arch:
	dh_testdir
	#
	for v in $(TCLVERSIONS) ; do \
		$(MAKE) -C$(CURDIR)/debian/$$v DESTDIR=$(CURDIR)/debian/$$v install-binaries ; \
	done

# Build-indep mostly covers docs and such
override_dh_auto_build-indep:
	dh_testdir
	#
	$(MAKE) -C$(CURDIR)/debian/$(TCLV) html-doc
	#
	# Remove doc for non-existent module
	rm $(CURDIR)/debian/$(TCLV)/doc/html/exif.html
	#
	# Fix broken examples permissions
	chmod 644 examples/csv/bench_join
	chmod 644 examples/logger/snit-logger.tcl
	chmod 644 examples/logger/xotcl-logger.tcl
	chmod 644 examples/mapproj/*

override_dh_auto_test:
	# Disable tests (TODO: add all required packages to build dependencies
	# and enable tests)

override_dh_auto_install:
	dh_testdir
	#
	$(MAKE) -C$(CURDIR)/debian/$(TCLV) DESTDIR=$(destdir) install-tcl ; \
	#
	# remove the critcl package from the arch-indep package
	find $(destdir) -name tcllibc -type d -prune -exec rm -rf \{\} \;
	#
	# install the mpexpand script, which doesn't otherwise get installed.
	install -p -m 755 modules/doctools/mpexpand $(destdir)/usr/bin
	#
	# now set the permissions properly, since the Makefile doesn't bother
	cd $(destdir)/usr/lib && \
		find . -type f -print | xargs chmod 644

override_dh_install-indep:
	dh_testdir
	#
	# cleanup manpages
	cd $(destdir)$(mandir)/mann && \
	  for f in dtplite mpexpand nns nnsd nnslog page tcldocstrip ; do \
	    sed -e'/\.so man.macros/ d' \
	    	-e's/^\.TH \([^ ]\+\) n/.TH \1 1/' \
	    	-e's/(n)/(3tcl)/g' \
	    	-e's/^\.dtx/\\\&.dtx/' \
	    	-e's/^\.\.\(.\)/\\\&..\1/' \
		$$f.n > $$f.1; \
	    rm $$f.n; \
	  done
	#
	cd $(destdir)$(mandir)/mann && \
	  for f in *.n ; do \
	    sed -e'/\.so man.macros/ d' \
	    	-e's/^\.TH "math::roman"  1/.TH "math::roman" 3tcl 1/' \
	    	-e's/^\.TH "tcl::transform::zlib" [in] /.TH "tcl::transform::zlib" 3tcllib /' \
	    	-e's/^\.TH \(.\+\) [in] /.TH \1 3tcl /' \
	    	-e's/send(n)/send(3tk)/g' \
	    	-e's/(n)/(3tcl)/g' \
	    	-e's/^\.RE\([^ ]\)/.RE\n\1/' \
	    	-e's/^\.dtx/\\\&.dtx/' \
	    	-e's/^\.sppp/.sp/' \
	    	-e's/^\.plot/\\\&.plot/' \
	    	-e's/^\.sp /.sp\n/' \
		-e's/\xf6/\\[:o]/g' \
		-e"s/\xe9/\\['e]/g" \
	    	-e's/^\.\.\(.\)/\\\&..\1/' \
	    	-e's/^\.ddt/\\\&.ddt/' \
	    	-e's/^\. It/\\\&. It/' \
	    	-e's/^\.text/\\\&.text/' \
	    	-e's/^\.IP,/\\.IP/' \
	    	-e's/^\.mycombo/\\\&.mycombo/' \
		$$f > `basename $$f .n`.3tcl; \
	    rm $$f; \
	  done
	#
	# cleanup docs
	cd $(CURDIR)/debian/$(TCLV)/doc/html && \
	  for f in *.html ; do \
	    sed -i -e's/\(^\|[^:]\+\)send(n)/\1send(3tk)/g' \
	    	-e's/math::roman()/math::roman(3tcl)/' \
	    	-e's/(n)/(3tcl)/g' $$f; \
	  done
	#
	# generate documentation index
	tclsh debian/gen_index.tcl $(CURDIR)/debian/$(TCLV)/doc/html >$(destdir)/index.html
	#
	dh_install -i

override_dh_install-arch:
	dh_testdir
	dh_install -a
	#
	mkdir -p $(tcllibcdir)
	#
	cp -r $(CURDIR)/debian/$(TCLV)/usr/lib/*/tcllibc* $(tcllibcdir)
	ls -lR $(tcllibcdir)
	for v in $(TCLVERSIONS) ; do \
		cp $(CURDIR)/debian/$$v/usr/lib/*/tcllibc*/*/tcllibc.so $$(echo $(tcllibcdir)/tcllibc*)/tcllibc$$v.so ; \
	done
	#
	# remove unnecessary files
	rm $(tcllibcdir)/tcllibc*/license.terms
	rm $(tcllibcdir)/tcllibc*/teapot.txt
	find $(tcllibcdir) -name tcllibc.so -delete
	#
	# fix the index file
	echo 'if {[package vsatisfies [package provide Tcl] $(TCLV1)-]} {' >$$(echo $(tcllibcdir)/tcllibc*)/pkgIndex.tcl
	sed -e 's/file join \$$path/file join \$$dir/' -e 's/tcllibc\$$ext/tcllibc$(TCLV1)\$$ext/' \
	    $(CURDIR)/debian/$(TCLV1)/usr/lib/*/tcllibc*/pkgIndex.tcl >>$$(echo $(tcllibcdir)/tcllibc*)/pkgIndex.tcl
	echo '} else {' >>$$(echo $(tcllibcdir)/tcllibc*)/pkgIndex.tcl
	sed -e 's/file join \$$path/file join \$$dir/' -e 's/tcllibc\$$ext/tcllibc$(TCLV)\$$ext/' \
	    $(CURDIR)/debian/$(TCLV)/usr/lib/*/tcllibc*/pkgIndex.tcl >>$$(echo $(tcllibcdir)/tcllibc*)/pkgIndex.tcl
	echo '}' >>$$(echo $(tcllibcdir)/tcllibc*)/pkgIndex.tcl
	#
	# cleanup
	find debian/tcllib-critcl -type d -empty -delete

override_dh_compress:
	dh_compress -Xusr/share/doc/tcllib/examples/ \
		    -Xusr/share/doc/tcllib/html/

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

.PHONY: override_dh_clean
	override_dh_auto_build-arch override_dh_auto_install-arch override_dh_install-arch \
	override_dh_auto_build-indep override_dh_auto_install-indep \
	override_dh_compress override_dh_gencontrol

## tcllib 2.0+dfsg

=== debian/changelog ===
tcllib (2.0+dfsg-5) unstable; urgency=medium

  * Re-introduce tcl-dev into the build dependencies because debian/rules
    calls tcltk-depends (closes: #1107649).
  * Add the VCS headers to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 20:37:28 +0300

tcllib (2.0+dfsg-4) unstable; urgency=medium

  * Build two versions of the tcllibc library, one for Tcl 8.6, another one
    for Tcl 9.0.
  * Drop doc-base support.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Apr 2025 01:27:42 +0300

tcllib (2.0+dfsg-3) unstable; urgency=medium

  * Add a patch which fixes missing variable declaration in the dns module.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Apr 2025 10:18:58 +0300

tcllib (2.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS when building only the architecture dependent package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 20:36:17 +0300

tcllib (2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 12:20:51 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 12), critcl
-Build-Depends-Indep: tcl-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), critcl (>= 3.3), tcl-dev, tcl8.6-dev, tcl9.0-dev
+Standards-Version: 4.7.2
 Homepage: https://core.tcl.tk/tcllib/home
+Vcs-Browser: https://salsa.debian.org/tcltk-team/tcllib
+Vcs-Git: https://salsa.debian.org/tcltk-team/tcllib.git
 
 Package: tcllib
 Section: interpreters
@@ -157,7 +158,7 @@
 Section: libs
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${tclsh:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, tcl8.6 | tcl9.0, ${misc:Depends}
 Multi-Arch: same
 Enhances: tcllib
 Description: Standard Tcl Library (CriTcl accelerators)

=== debian/watch ===
--- 
+++ 
@@ -4,6 +4,5 @@
 version=3
 
 opts="dversionmangle=s/[-+]dfsg\d*$//, \
-    uversionmangle=s/$/+dfsg/, \
     oversionmangle=s/$/+dfsg/" \
     http://sf.net/tcllib/tcllib-([\d.]*).tar.gz
